VVSETC(3NCARG)

NAME
VVSETC - Sets the value of a Vectors parameter of type CHARACTER.

SYNOPSIS
CALL VVSETC (CNM,CVL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_vvsetc (char *cnm, char *cvl)

DESCRIPTION

CNM (CHARACTER, input) is the name of a parameter to be given a character value. Only the first three characters of CNM are examined. The three characters may either be entirely upper or entirely lower case; mixed case is not recognized. It is recommended that the rest of the character string be used to improve the readability of the code. For example, instead of 'ZFT', use 'ZFT - Zero Field Text String'.

CVL (CHARACTER, input) is an expression, the value of which is to be given to the parameter specified by CNM.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to set the current value of Vectors parameters of type CHARACTER. For a complete list of parameters available in this utility, see the vectors_params man page.

EXAMPLES
Use the ncargex command to see the following relevant examples: fcover, ffex00.

ACCESS
To use VVSETC or c_vvsetc, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the vectors man page for a description of all Vectors error messages and/or informational messages.

SEE ALSO
Online: vectors, vectors_params, vvectr, vvgetc, vvgeti, vvgetr, vvinit, vvrset, vvseti, vvsetr, vvudmv, vvumxy, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.